Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528011 - Problems with the RPM loaded to handle printing jobs to an Epson NX105
Summary: Problems with the RPM loaded to handle printing jobs to an Epson NX105
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 11
Hardware: i586
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-08 15:27 UTC by Christopher Rhodes
Modified: 2009-11-23 11:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-23 11:28:30 UTC
Type: ---


Attachments (Terms of Use)

Description Christopher Rhodes 2009-10-08 15:27:20 UTC
Summary:

SELinux is preventing manpath (xdm_t) "getattr" man_t.

Detailed Description:

SELinux denied access requested by manpath. It is not expected that this access
is required by manpath and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:man_t:s0
Target Objects                /opt/OpenPrinting-Gutenprint/man [ dir ]
Source                        manpath
Source Path                   /usr/bin/man
Port                          <Unknown>
Host                          EgoVII.DarkgryffinGaming
Source RPM Packages           man-1.6f-20.fc11
Target RPM Packages           openprinting-gutenprint-5.2.4-1lsb3.2
Policy RPM                    selinux-policy-3.6.12-83.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     EgoVII.DarkgryffinGaming
Platform                      Linux EgoVII.DarkgryffinGaming
                              2.6.30.8-64.fc11.i686.PAE #1 SMP Fri Sep 25
                              04:56:58 EDT 2009 i686 i686
Alert Count                   2
First Seen                    Wed 07 Oct 2009 12:07:36 PM CDT
Last Seen                     Wed 07 Oct 2009 12:07:36 PM CDT
Local ID                      3ca4bd3b-c5cd-4de4-8ac1-9a40afd0f60c
Line Numbers                  

Raw Audit Messages            

node=EgoVII.DarkgryffinGaming type=AVC msg=audit(1254935256.90:7): avc:  denied  { getattr } for  pid=1574 comm="manpath" path="/opt/OpenPrinting-Gutenprint/man" dev=dm-0 ino=155691 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:man_t:s0 tclass=dir

node=EgoVII.DarkgryffinGaming type=SYSCALL msg=audit(1254935256.90:7): arch=40000003 syscall=195 success=no exit=-13 a0=9906ec0 a1=bfb4cf7c a2=ae1ff4 a3=3 items=0 ppid=1573 pid=1574 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="manpath" exe="/usr/bin/man" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Comment 1 Tim Waugh 2009-10-08 15:38:16 UTC
This message is nothing to do with printing, and everything to do with manual pages.

Changing component.

Comment 2 Ivana Varekova 2009-10-21 11:17:59 UTC
Hello Miroslav, could you look at this bug?

Comment 3 Miroslav Grepl 2009-11-20 15:40:02 UTC
Added to selinux-policy-3.6.12-91.fc11


Note You need to log in before you can comment on or make changes to this bug.